Subject: bug#50983: 28.0.50; [REGRESSION, BUG] Display bugs with uncommon characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Oct 2021 13:04:36 +0300

> Date: Sun, 3 Oct 2021 10:54:01 +0100
> From: Alan Third <[email-masked]>
> Cc: Rudi C <[email-masked]>, [email-masked]
> 
> On Sun, Oct 03, 2021 at 08:51:39AM +0300, Eli Zaretskii wrote:
> > 
> > This could be specific to macOS, where AFAIK the display is
> > implemented slightly differently from the other platforms.
> 
> As far as I'm aware the "-nw" display is implemented the same as any
> other platform.

I meant the GUI part of the report.

> For the record I can't see these problems on GUI emacs
> on the mac, but I do see them in the terminal using iTerm2.

Does iTerm2 have some support for bidirectional text?  If so, you need
to disable it for Emacs -nw to display bidirectional text correctly.

> It looks like sometimes the display is incorrect, and other times the
> action actually changes the underlying buffer contents in an
> unexpected way.

Any idea what could cause that?  Does it happen with plain-ASCII text
as well?